Summary:        Utilities for configuring the linux ethernet bridge
Name:           bridge-utils
Version:        1.6
Release:        4
License:        GPLv2+
URL:            https://wiki.linuxfoundation.org/networking/bridge
Source0:        https://www.kernel.org/pub/linux/utils/net/%{name}/%{name}-%{version}.tar.xz
Source1:        https://www.kernel.org/pub/linux/utils/net/%{name}/%{name}-%{version}.tar.sign

Patch0000:      bridge-utils-option-cflags.patch

Patch9000:      bugfix-bridge-not-check-parameters.patch
Patch9001:      bugfix-avoid-showmacs-memory-leak.patch

BuildRequires:  libsysfs-devel autoconf automake libtool
BuildRequires:  kernel-headers >= 2.6.16

%description
This package provides utilities for configuring the linux ethernet
bridge. The linux ethernet bridge can be used for connecting multiple
ethernet devices together.


%prep
%autosetup -n %{name}-%{version} -p1

%build
autoconf
%configure
%make_build

%install
%make_install SUBDIRS="brctl doc"

%files
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc AUTHORS doc/FAQ doc/HOWTO
%{_sbindir}/brctl
%{_mandir}/man8/brctl.8*

%changelog
* Fri Jan 10 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.6.4
- Type:enhancement
- ID:NA
- SUG:NA
- DESC: delete patches

* Wed Sep 18 2019 Alex Chao <zhaolei746@huawei.com> - 1.6-3
- Package init
